package com.ruoyi.board.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

/**
 * 情报板类型
 */
@Data
@TableName(value = "pub_board_type")
public class BoardType {
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 名称
     */
    @TableField(value = "`name`")
    private String name;

    /**
     * 类型
     */
    @TableField(value = "`type`")
    private String type;

    /**
     * 尺寸
     */
    @TableField(value = "`size`")
    private String size;
}